## maemo-launcher 0.17.1-1

=== debian/changelog ===
maemo-launcher (0.17.1-1) unstable; urgency=low

  * New upstream release.
    - Make maemo-launcher upgradeable without causing an immediate reboot.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu,  3 Aug 2006 16:55:40 +0300

maemo-launcher (0.17-1) unstable; urgency=low

  * New Upstream Release.
    - Do not send the application died signal by default, because some
      people believe that by not showing applications crashing, that
      will fix their bugs... (Closes: #32915@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 19 Jun 2006 12:29:20 +0300

maemo-launcher (0.16-1) unstable; urgency=low

  * New Upstream Release.
    - Ignore SIGPIPE in the launcher, so that it does not die miserably.
      (Closes: #32718@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 15 Jun 2006 17:18:42 +0300

maemo-launcher (0.15-1) unstable; urgency=low

  * New Upstream Release.
    - Relicense to GPL version 2 only.
    - Change copyright holder to "Nokia Corporation".
  * Enable yet again LD_BIND_NOW=1 on startup. (Closes: #28055@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri,  9 Jun 2006 15:24:06 +0300

maemo-launcher (0.14-2) unstable; urgency=low

  * Disable for now LD_BIND_NOW=1 in the init script due to it "breaking"
    the browser plugins...

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 23 May 2006 17:26:44 +0300

maemo-launcher (0.14-1) unstable; urgency=low

  * New Upstream Release.
    - Force all relocations to be resolved at startup time, but not for the
      childs. (Closes: #28055@Nokia)
    - Protect the childs that have negative priority from the OOM killer by
      setting the adjust value to -17. (Closes: #29529@Nokia)
  * Bump Standards-Version to 3.7.2 (no changes needed).

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 18 May 2006 21:13:52 +0300

maemo-launcher (0.13-1) unstable; urgency=low

  * New Upstream Release.
    - Fork when sending the dbus signal, due to libdbus being unable to
      cleanup and reopen connexions. Which fixes:
    - Applications not running on first boot. (Closes: #26599@Nokia)
    - DBus autoactivation after crashed application. (Closes: #27158@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 21 Apr 2006 22:57:42 +0300

maemo-launcher (0.12-1) unstable; urgency=low

  * New Upstream Release.
  * Do not source the .defs files anymore from the init script.
  * Only set PATH when not in Scratchbox in the init script.
    (Closes: #25123@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 11 Apr 2006 00:09:27 +0300

maemo-launcher (0.11-1) unstable; urgency=low

  * New Upstream Release.
  * Do not use ndm, yet.
  * Remove Build-Dependency on deprecated hildon-lgpl-dev.
  * Add Build-Dependency on libdbus-1-dev (>= 0.60-1).
  * Check for DAEMON instead of LAUNCHER in init.d.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue,  4 Apr 2006 22:38:50 +0300

maemo-launcher (0.10.1-1) unstable; urgency=low

  * New Upstream Release.
  * Link init scripts into /etc/ndm/session.d, not with update-rc.d.
    Thanks to Daniel Stone <daniel.stone@nokia.com>.
  * Depend on ndm.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 14 Mar 2006 15:49:04 +0200

maemo-launcher (0.10-1) unstable; urgency=low

  * New Upstream Release.
  * Autoconfiscate if needed or if outdated.
  * Update upstream copyright years.
  * Add libfontconfig1-dev and libpango1.0-dev to Build-Depends.
  * Load the applications using RTLD_GLOBAL. (Closes: #22725@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 13 Feb 2006 13:53:08 +0200

maemo-launcher (0.9-1) unstable; urgency=low

  * New Upstream Release.
    - Restore the process priority to 0 for the launched processes.
      (Closes: #21337@Nokia)
    - Fix possible heap overflow by untrusted invoker programs.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 17 Nov 2005 22:38:02 +0200

maemo-launcher (0.8-1) unstable; urgency=low

  * New Upstream Release.
  * Do not update config.*, assume upstream has the latest ones.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 25 Oct 2005 14:36:15 +0300

maemo-launcher (0.7-1) unstable; urgency=low

  * New Upstream Release.
    - Do not leave ghost processes after launching applications.
      (Closes: #20215@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri,  7 Oct 2005 18:05:49 +0300

maemo-launcher (0.6-1) unstable; urgency=low

  * New Upstream Release.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 28 Sep 2005 21:44:18 +0300

maemo-launcher (0.5-1) unstable; urgency=low

  * New Upstream Release.
    - With hildon-control-panel-personalisation 0.1.15-2.1 honours theme
      changes on newly launched applications. (Closes: #16356@Nokia)
      Thanks to Tommi Komulainen <tommi.komulainen@nokia.com>.
    - Restore signal handlers just before launching the child. Thus fixing
      osso-chess not being able to restart/continue. (Closes: #18716@Nokia)
    - Log child exit status. (Closes: #17530@Nokia)
    - Increase the invoker timeout to 6, otherwise osso-chess fails to start
      on the first run. (Closes: #16026@Nokia, #18104@Nokia, #18634@Nokia)
    - Thus fixing the chess related bugs. (Closes: #18849@Nokia)
  * Do not start in the acting dead runlevel. (Closes: #18010@Nokia)
  * Handle gracefully starting running in scratchbox and don't try to run
    things as 'user'.
    Thanks to Tommi Komulainen <tommi.komulainen@nokia.com>.
  * Make sure the launcher is not an OOM candidate by increasing the process
    priority. (Closes: #19073@Nokia)
  * Do not be quiet inside scratchbox. (Closes: #19147@Nokia)
  * Remove autotools-dev from Build-Depends, as upstream sources have more up
    to date vesion of config.* files.
  * Update FSF's address.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 14 Sep 2005 13:13:32 +0300

maemo-launcher (0.4-1) unstable; urgency=low

  * New Upstream Release.
  * Minor cosmetic fixes.

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 25 Jul 2005 23:24:38 +0300


