## maemo-launcher 0.20-1

=== debian/changelog ===
maemo-launcher (0.20-1) unstable; urgency=low

  * New Upstream Release.
    - Unprotect non-essential user processes from the OOM killer.
      (Fixes: NB#46702)
  * Make the hildon enabled booster link against even more libraries, so
    that we can "preload" and share them across the childs. Added to
    Build-Depends gtkhtml-dev, libosso-dev, libossomime-dev, libosso-help-dev,
    hildon-fm-dev, libhildonmenu-dev hildon-status-bar-lib-dev and
    hildon-base-lib-dev. (Fixes: NB#17937)

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 14 Nov 2006 15:50:46 +0200

maemo-launcher (0.19-1) unstable; urgency=low

  * New Upstream Release.
  * Add a maemo-launcher-dbg package. (Closes: #41746@Nokia)

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 10 Oct 2006 16:52:43 +0300

maemo-launcher (0.18-1) unstable; urgency=low

  * New Upstream Release.
    - Create a new session id for the childs. (Closes: #28627@Nokia)
    - Use new --booster option and select the gtk module.
    - Use the renamed --enable-hildon-booster instead of --extra-libs in
      configure.
    - Remove the now not required LD_BIND_NOW environment variable from
      the init script (as it's implemented using the boosters).
      (Closes: #28055@Nokia)
    - Add new maemo-summoner, to load directly .launch applications.
      (Closes: #38580@Nokia)
  * Add support in DEB_BUILD_OPTIONS with nohildong to not enable the
    hildon enhancment to the gtk booster
  * Enable again sending the application died signal.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 28 Sep 2006 03:39:07 +0300
