=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Guillem Jover <guillem.jover@nokia.com>
 Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.4-1),
  libfontconfig1-dev, libpango1.0-dev, libdbus-1-dev (>= 0.60-1),
- libosso-gnomevfs2-dev (>= 2.8.0-1), hildon-libs-dev (>= 0.7.5-1)
+ gtkhtml-dev, libosso-dev, libosso-help-dev, libossomime-dev,
+ libosso-gnomevfs2-dev (>= 2.8.0-1), hildon-fm-dev, hildon-base-lib-dev,
+ libhildonmenu-dev, hildon-status-bar-lib-dev, hildon-libs-dev (>= 0.7.5-1)
 Standards-Version: 3.7.2
 
 Package: maemo-launcher
@@ -15,3 +17,14 @@
  pre-initializing the state of some libraries and then dynamically loading
  the applications.
 
+Package: maemo-launcher-dbg
+Architecture: any
+Section: devel
+Depends: maemo-launcher (= ${Source-Version})
+Description: Maemo Launcher for GTK applications - debugging symbols
+ Maemo Launcher for any gtk+ application. Tries to reduce startup time by
+ pre-initializing the state of some libraries and then dynamically loading
+ the applications.
+ .
+ This package provides the debugging symbols for maemo-launcher.
+
