## maemo-launcher 0.21.1-1

=== debian/changelog ===
maemo-launcher (0.21.1-1) unstable; urgency=low

  * New Upstream Release.
    - This version inherits the fixes for unprotecting non-essential user
      processes from the OOM killer. (Fixes: NB#48073)
  * Remove build dependency on clinkc-av-dev.
  * Do not pass '--send-app-died' in the init script.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 29 Nov 2006 16:55:20 +0200

maemo-launcher (0.21-1) unstable; urgency=low

  * New Upstream Release.
    - Link against libstdc++, clinkc and clinkcav (add build dependencies
      on clinkc-dev and clinkc-av-dev). (Fixes: NB#47726)
    - Initialize Xft by calling its constructors (add a build dependency
      on libxft-dev). (Fixes: NB#17937)
    - Check for asprintf errors. (Fixes: NB#45396)
  * Fix chmod instance following upstream maemo-defender to defender rename.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 29 Nov 2006 00:00:32 +0200
