=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# $Id: rules 7119 2006-10-10 13:47:19Z guillem $
+# $Id: rules 8426 2006-11-28 20:59:17Z guillem $
 #
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -74,7 +74,7 @@
 	dh_strip --dbg-package=maemo-launcher
 	dh_compress -a
 	dh_fixperms -a
-	chmod u+s $(CURDIR)/debian/maemo-launcher/usr/lib/maemo-launcher/maemo-defender
+	chmod u+s $(CURDIR)/debian/maemo-launcher/usr/lib/maemo-launcher/defender
 #	dh_makeshlibs
 	dh_installdeb -a
 	dh_shlibdeps -a
