## maemo-launcher 0.21.1-1.1

=== debian/changelog ===
maemo-launcher (0.21.1-1.1) experimental; urgency=low

  * Quick fix for experimental to not crash with gtk+ 2.10
  * debian/init.d: Remove --booster gtk

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Thu,  1 Feb 2007 17:29:06 +0200
