=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: embedded
 Priority: optional
 Maintainer: Guillem Jover <guillem.jover@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.4-1),
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.4-1), libxft-dev,
  libfontconfig1-dev, libpango1.0-dev, libdbus-1-dev (>= 0.60-1),
- gtkhtml-dev, libosso-dev, libosso-help-dev, libossomime-dev,
- libosso-gnomevfs2-dev (>= 2.8.0-1), hildon-fm-dev, hildon-base-lib-dev,
- libhildonmenu-dev, hildon-status-bar-lib-dev, hildon-libs-dev (>= 0.7.5-1)
+ clinkc-dev, gtkhtml-dev, libosso-dev, libosso-help-dev,
+ libossomime-dev, libosso-gnomevfs2-dev (>= 2.8.0-1), hildon-fm-dev,
+ hildon-base-lib-dev, libhildonmenu-dev, hildon-status-bar-lib-dev,
+ hildon-libs-dev (>= 0.7.5-1)
 Standards-Version: 3.7.2
 
 Package: maemo-launcher
