## maemo-launcher 0.21.1-1.3

=== debian/changelog ===
maemo-launcher (0.21.1-1.3) experimental; urgency=low

  * Removed dependency on hildon-base-lib-dev 

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Tue,  13 Mar 2007 16:21:00 +0200

maemo-launcher (0.21.1-1.2) experimental; urgency=low

  * Replace debepdencies for new ones: hildon-libs-dev - libhildon1-dev , hildon-fm-dev - libhildonfm2-dev , libossomime-dev 
    - libhildonmime-dev, libhildonmenu-dev - libhildondesktop-dev   

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Wed,  21 Feb 2007 17:19:00 +0200
