## maemo-launcher 0.23-1

=== debian/changelog ===
maemo-launcher (0.23-1) unstable; urgency=low

  * New Upstream Release.
    - Do not close D-Bus shared connections on the child sending the
      ApplicationDied signal. (Fixes: NB#65588)
    - Update documentation on how to integrate the launcher support into
      other projects.
    - Add support for nolauncher on DEB_BUILD_OPTIONS to dh_maemolauncher.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 15 Aug 2007 20:36:19 +0300

maemo-launcher (0.22-1) unstable; urgency=low

  * New Upstream Release.
    - Update gtk booster module to support gtk+ 2.10. (Fixes: NM#952)
      Thanks to Johannes Schmid <johannes.schmid@openismus.com> for the
      initial patch.
    - Use memmove over overlapping memory in maemo-summoner. (Fixes: NB#49872)
    - Support path resolution from maemo-summoner and maemo-invoker.
      (Fixes: NM#1741, NB#55873)
    - Strip '.launch' from invoked or summoned programs. (Fixes: NB#52432)
    - Correctly set argv contents for summoned programs.
      (Fixes: NB#52434, NB#52435)
    - Add an pkgconfig file for launcherized applications. (Fixes: NB#52992)
    - Load the program binary after having adjusted the process priority and
      oom_adj value. (Fixes: NB#59173)
  * Remove Build-Depends on libxft-dev.
  * Add new package maemo-launcher-dev and include the header file
    for the boosters and the pkgconfig file. (Fixes: NM#1027)
  * Remove clinkc-av-dev, hildon-base-lib-dev and hildon-status-bar-lib-dev
    Build-Depends.
  * Update Build-Depends to the new counterparts:
    - Replace hildon-libs-dev with libhildon1-dev.
    - Replace hildon-fm-dev with libhildonfm2-dev.
    - Replace libossomime-dev with libhildonmime-dev.
    - Replace libhildonmenu-dev with libhildondesktop-dev.
  * Add a dh_maemolauncher to automate launcherizing packages.
    - Add a Build-Depends on debhelper to maemo-launcher-dev.
    - Generate and install the manpage from the perl script.
  * Do not ignore errors from "make distclean".

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 02 Aug 2007 01:47:36 +0300
