=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: embedded
 Priority: optional
 Maintainer: Guillem Jover <guillem.jover@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.4-1), libxft-dev,
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.4-1),
  libfontconfig1-dev, libpango1.0-dev, libdbus-1-dev (>= 0.60-1),
- clinkc-dev, gtkhtml-dev, libosso-dev, libosso-help-dev,
- libhildonmime-dev, libosso-gnomevfs2-dev (>= 2.8.0-1), libhildonfm2-dev,
+ gtkhtml-dev, clinkc-dev, libosso-dev, libosso-help-dev,
+ libosso-gnomevfs2-dev (>= 2.8.0-1), libhildonmime-dev, libhildonfm2-dev,
  libhildondesktop-dev, libhildon1-dev
 Standards-Version: 3.7.2
 
@@ -28,3 +28,14 @@
  .
  This package provides the debugging symbols for maemo-launcher.
 
+Package: maemo-launcher-dev
+Architecture: all
+Depends: debhelper (>= 4)
+Description: Maemo Launcher for GTK applications - development files
+ Maemo Launcher for any gtk+ application. Tries to reduce startup time by
+ pre-initializing the state of some libraries and then dynamically loading
+ the applications.
+ .
+ This package provides the development files needed to build boosters
+ and applications using the maemo-launcher.
+
