=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 #
-# $Id: rules 8426 2006-11-28 20:59:17Z guillem $
+# $Id: rules 12994 2007-08-01 22:39:11Z guillem $
 #
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+POD2MAN := pod2man -c maemo-launcher
 
 CFLAGS = -g -Wall
 
@@ -38,13 +40,16 @@
 	dh_testdir
 	
 	$(MAKE)
+	
+	$(POD2MAN) $(CURDIR)/debian/dh_maemolauncher > \
+	           $(CURDIR)/debian/dh_maemolauncher.1
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	
 	dh_clean
 
@@ -54,10 +59,26 @@
 	dh_clean -k
 	dh_installdirs -a
 	
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/maemo-launcher
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	
+	cp $(CURDIR)/debian/dh_maemolauncher \
+	   $(CURDIR)/debian/tmp/usr/bin
+	cp $(CURDIR)/debian/dh_maemolauncher.1 \
+	   $(CURDIR)/debian/tmp/usr/share/man/man1/
 
 binary-indep: build install
-	# Nothing to do.
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs -i ChangeLog
+	dh_installdocs -i
+	dh_install -i --sourcedir=$(CURDIR)/debian/tmp
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-arch: build install
 	dh_testdir
@@ -65,9 +86,8 @@
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_installexamples -a
-#	dh_install
+	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
 #	dh_installlogrotate
-#	dh_installpam
 	dh_installinit -a -- start 45 2 3 4 . stop 45 0 1 5 6 .
 	dh_installman -a
 	dh_link -a
