## maemo-launcher 0.24-1

=== debian/changelog ===
maemo-launcher (0.24-1) unstable; urgency=low

  * New Upstream Release.
    - Do not call dbus_shutdown as libdbus is too eager to abort.
      (Fixes: NB#65588)
  * Place maemo-launcher-dev on the libdevel Section.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 30 Aug 2007 21:20:12 +0300
