=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 Package: maemo-launcher-dev
 Architecture: all
+Section: libdevel
 Depends: debhelper (>= 4)
 Description: Maemo Launcher for GTK applications - development files
  Maemo Launcher for any gtk+ application. Tries to reduce startup time by
