## maemo-launcher 0.35-6%2b0m5

=== debian/changelog ===
maemo-launcher (0.35-6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Sun, 09 Aug 2009 09:50:24 +0300

maemo-launcher (0.35-6) unstable; urgency=low

  * Revise hildon booster library listing, Fixes: NB#129909

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Tue, 04 Aug 2009 10:25:04 +0300

maemo-launcher (0.35-5) unstable; urgency=low

  * Add timestamping to dlopen calls
  * Initialize gnome volume manager (Fixes: NB#129288)
  * Do not link against clinkc (Fixes: NB#128425)  

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Fri, 24 Jul 2009 09:02:02 +0300

maemo-launcher (0.35-4) unstable; urgency=low

  * Remove obsolete fork from 'appdied'

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 18 May 2009 09:43:55 +0300

maemo-launcher (0.35-3) unstable; urgency=low

  * Suw restart support, Fixes: NB#110612
  * Omit missing 'ApplicationDied', Fixes: NB#113378

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 04 May 2009 12:49:28 +0300

maemo-launcher (0.35-2) unstable; urgency=low

  * Fix typo in booster initialization

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 20 Apr 2009 11:48:57 +0300

maemo-launcher (0.35-1) unstable; urgency=low

  * Adds cpp booster (Fixes: NB#108695)
  * Reconstruct svn tree (duh)

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Tue, 07 Apr 2009 13:36:27 +0300

maemo-launcher (0.34-1) unstable; urgency=low

  * New upstream release.
    - Make the hildon booster link against: libdrm, xcomposite, xdamage, xv,
      gstreamer-base-0.10, gstreamer-controller-0.10, liboil-0.3, bluez,
      libpulse, and alarm. (Fixes: NB#96648)
  * Use ${binary:Version} instead of deprecated ${Source-Version}.
  * Switch to debhelper compatibility level 5.
    - Fix dh_strip --dbg-package argument to be the debug package.
  * Rename debian/init.d to debian/maemo-launcher.init.
  * Remove obsolete libhildonhelp-dev. Fixes: NB#105122

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 17 Mar 2009 20:13:27 +0200

maemo-launcher (0.33-1) unstable; urgency=low

  * New upstream release.
    - Remove RCS keywords.
    - Use UTF-8 copyright symbol.
    - Rename client test application to to app-hildon.
    - Add a new app-console test client.
    - Connect stdio descriptors from invoked program to the invoker.
    - Forward environment variables from invoker to the launcher.
      (Fixes: NB#92995)
  * Take over Xsession script from upstart. (Fixes: NB#103352)
  * Reference GPL-2 from common-licenses instead of just GPL.
  * Set Priority for maemo-launcher-dbg to extra.
  * Improve package descriptions.
  * Update upstream copyright years in debian/copyright.
  * Update Build-Depends:
    - Remove obsolete libhildonhelp-dev.
    - Rename gtkhtml-dev to gtkhtml3.14-dev. (Fixes: NB#105122)

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 10 Mar 2009 22:30:43 +0200

maemo-launcher (0.32-1) unstable; urgency=low

  * New Upstream Release.
    - Add support for a Qt booster (not built by default).
  * Switch from libhildondesktop-dev to libhildondesktop1-dev.
    (Fixes: #95532)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 19 Dec 2008 15:03:22 +0200

maemo-launcher (0.31-4) unstable; urgency=low

  * Export USER, LOGNAME, SHELL and HOME to maemo-launcher again,
    but this time do it before and after sourcing af-defines.sh as it
    likes to make a mess and stomp on our variables. (Fixes: NM#1131)

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 09 Oct 2008 22:46:32 +0300

maemo-launcher (0.31-3) unstable; urgency=low

  * Revert "Export USER, LOGNAME, SHELL and HOME to maemo-launcher".

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 11 Jul 2008 17:24:20 +0300

maemo-launcher (0.31-2) unstable; urgency=low

  * Sources af-defines.sh at the beginning to avoid it unconditionally
    overriding the USER variable (among others). (Fixes: NB#86855)

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 10 Jul 2008 19:29:18 +0300

maemo-launcher (0.31-1) unstable; urgency=low

  * Export USER, LOGNAME, SHELL and HOME to maemo-launcher. (Fixes: NM#1131)
  * Add comment in the init.d script about the wrongess of the current
    approach.
  * Disable the application crash notifications. (Fixes: NB#86711)
  * Disable self core dumping on maemo-invoker just before enabling signal
    forwarding. (Fixes: NB#86713)

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 03 Jul 2008 18:00:08 +0300

maemo-launcher (0.30-1) unstable; urgency=low

  * New Upstream Release.
    - README: Typo fix and additional information for symbol versioning.
      Thanks to Eero Tamminen <eero.tamminen@nokia.com>.
  * Replace libosso-help-dev with libhildonhelp-dev in Build-Depends.
    (Fixes: NB#85923)

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 29 May 2008 18:33:55 +0300

maemo-launcher (0.29-1) unstable; urgency=low

  * New Upstream Release.
    - Destroy and store state only for valid childs. (Fixes: NB#85166)

 -- Guillem Jover <guillem.jover@nokia.com>  Mon, 05 May 2008 16:56:36 +0300

maemo-launcher (0.28-1) unstable; urgency=low

  * New Upstream Release.
    - Fix memory leaks for comm_msg from the upgrade in-place support.
      (Fixes: NB#84534)

 -- Guillem Jover <guillem.jover@nokia.com>  Sun, 27 Apr 2008 23:04:41 +0300

maemo-launcher (0.27-1) unstable; urgency=low

  * New Upstream Release.
    - Port client to Hildon 1.x.
    - Use compile options determined from configure to build the client.
    - Use exit(3) instead of _exit(2) so that things like atexit(3) work.
      (Fixes: NB#80273)
    - Support upgrading the launcher via in-memory hot-swap while preserving
      the state. (Fixes: NB#82624)
    - Document changes needed for make based build systems and mention the
      possible usage of version scripts. (Fixes: NB#72805)
  * Update copyright year in debian/copyright.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 16 Apr 2008 00:52:25 +0300


