## maemo-launcher 0.35-7+0m5

=== debian/changelog ===
maemo-launcher (0.35-7+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Thu, 22 Oct 2009 11:19:28 +0300

maemo-launcher (0.35-7) unstable; urgency=low

  * Reliable IO patch from Leonid Moiseichuk. Fixes: NB#142460

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Wed, 21 Oct 2009 09:34:26 +0300
