=== debian/control ===
Source: maemo-launcher
Section: embedded
Priority: optional
Maintainer: Janne Karhunen <Janne.Karhunen@nokia.com>
Build-Depends: debhelper (>= 5.0.0), libgtk2.0-dev (>= 2.6.4),
 libfontconfig1-dev, libpango1.0-dev, libdbus-1-dev (>= 0.60),
# These are just linked to force resolving symbols, but not actually used:
 libpulse-dev, libosso-dev,  sqlite3, libconic0-dev, libi18n-dev,
 libosso-gnomevfs2-dev (>= 2.8.0), libhildon1-dev, libhildonmime-dev, 
 libhildonfm2-dev, libhildondesktop1-dev, libtelepathy-glib-dev,
 libedataserver-dev, libedata-book-dev, libmodest-dbus-client-dev,
 libjpeg62-dev, libgvfscommon-dev, libsqlite3-dev, libalarm-dev,
 libebook-dev
# To build the QT Booster we need libqt4-dev
Standards-Version: 3.7.2

Package: maemo-launcher
Architecture: any
Depends: ${shlibs:Depends}, hildon-initscripts
Replaces: system-services
Description: application startup accelerator for maemo
 Maemo launcher tries to reduce startup time by pre-initializing the state
 of some libraries using the booster modules and then dynamically loading
 the applications. It currently supports null, GTK+, QT and CPP boosters.

Package: maemo-launcher-dbg
Architecture: any
Section: devel
Priority: extra
Depends: maemo-launcher (= ${binary:Version})
Description: application startup accelerator for maemo - debugging symbols
 Maemo launcher tries to reduce startup time by pre-initializing the state
 of some libraries using the booster modules and then dynamically loading
 the applications. It currently supports null, GTK+, QT and CPP boosters.
 .
 This package provides the debugging symbols for maemo-launcher.

Package: maemo-launcher-dev
Architecture: all
Section: libdevel
Depends: debhelper (>= 4)
Description: application startup accelerator for maemo - development files
 Maemo launcher tries to reduce startup time by pre-initializing the state
 of some libraries using the booster modules and then dynamically loading
 the applications. It currently supports null, GTK+, QT and CPP boosters.
 .
 This package provides the development files needed to build boosters
 and applications using the maemo-launcher.
