=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-#
-# $Id: rules 12994 2007-08-01 22:39:11Z guillem $
 #
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -19,7 +17,7 @@
 ifneq (,$(findstring nohildon,$(DEB_BUILD_OPTIONS)))
 	opt_hildon :=
 else
-	opt_hildon := --enable-hildon-booster
+	opt_hildon := --enable-hildon-booster --enable-cpp-booster
 endif
 
 # Nasty thing due to having the upstream and debian stuff merged.
@@ -61,6 +59,12 @@
 	
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	
+	install -D $(CURDIR)/debian/maemo-launcher.Xsession \
+		$(CURDIR)/debian/tmp/etc/X11/Xsession.d/02maemo-launcher
+
+	install -D $(CURDIR)/debian/maemo-launcher.Xsession-restart \
+		$(CURDIR)/debian/tmp/etc/X11/Xsession.d/42maemo-launcher
+	
 	cp $(CURDIR)/debian/dh_maemolauncher \
 	   $(CURDIR)/debian/tmp/usr/bin
 	cp $(CURDIR)/debian/dh_maemolauncher.1 \
@@ -69,7 +73,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -i ChangeLog
+	dh_installchangelogs -i ChangeLog*
 	dh_installdocs -i
 	dh_install -i --sourcedir=$(CURDIR)/debian/tmp
 	dh_link -i
@@ -83,15 +87,15 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -a ChangeLog
+	dh_installchangelogs -a ChangeLog*
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
 #	dh_installlogrotate
-	dh_installinit -a -- start 45 2 3 4 . stop 45 0 1 5 6 .
+	dh_installinit -a --no-start -- start 45 2 3 4 . stop 45 0 1 5 6 .
 	dh_installman -a
 	dh_link -a
-	dh_strip --dbg-package=maemo-launcher
+	dh_strip -p maemo-launcher --dbg-package=maemo-launcher-dbg
 	dh_compress -a
 	dh_fixperms -a
 	chmod u+s $(CURDIR)/debian/maemo-launcher/usr/lib/maemo-launcher/defender
